CMS Joomla. Пожалуйста подскажите, почему карта сайта НЕ формирует протокол https? (Решено)

Markus
5 років
0
Добрый день. Подскажите, почему после перехода на протокол https (после перехода прошло уже около 2 месяцев), карта сайта по прежнему формирует страницы с http?
Может ли это влиять на индексирование страниц в Google?
Search Console показывает 47 стр отправлено - проиндексировано 0. Раньше (до перехода) было 47 из 47.
Что делать?
При этом позиции сайта просели с 2 стр на 3 стр, но из индекса не вылетели.
Сайт magicballoon.com.ua
arygroup
5 років
0
Так а що створює мапу сайта? Певно якийсь компонент генерує? То той компонент і ставить не правильний протокол. Може, налаштувати компонент треба. Може, там захардкоджено.
Markus
5 років
0
Компонент Xmap
arygroup
5 років
0
Здається, він вже не підтримуєть розробником.

В будь-якому випадку, це питання до розширення. Або його виправляти в коді, або переналаштовувати (якщо є така можливість), або пробувати інше розширення.

extensions.joomla.org/extensions/extension/?searchall=&filter%5Btags%5D%5B%5D=274&filter%5Bcore_catid%5D=&filter%5Bincludes%5D=&filter%5Bversions%5D=&filter%5Btype%5D=free&filter%5Bhasdemo%5D=&order=&filter%5Bnewupdated%5D=&filter%5Bscore%5D=&filter%5Bfavourites%5D=&dir=DESC&limitstart=0&controller=filter&view=extension&layout=list&Itemid=145&clearorders=0&clearfilters=1
Markus
5 років
0
Соответствующих настороек в расширении нет.
arygroup
5 років
0
Став OSMap Free
Markus
5 років
0
ок. попробую
Markus
5 років
0
У меня стоит Joomla 2.5, OSMap Free не подходит.
Посоветуйте компонент для создания карты сайта чтобы формировал протокол https, для Joomla 2.5?
Спасибо.
arygroup
5 років
2
Joomla 2.5 hit it's end-of-life (EOL) December 31, 2014.

Вже три роки вона не підтримується і ніхто під неї нічого не пише. Крім хакерів, які випшуть боти для її зламу по відомих вразливостях (які не закриваються розробниками). Відповідно тільки один варіант - самостійно підтримувати застарілий код, вносити самостійно правки. Раз принципово не мігруєте на сучасний код.
Markus
5 років
0
Пока нет возможности мигрировать на более высокую версию Joomla.

Пожалуйста кто нибудь помогите решить данную проблему.
Может есть вариант как подлатать существующий компонент Xmap2.2 ?
Markus
5 років
1
Решено. Поменял настройки на сайте. Выбираем любой пункт меню, там справа настройка МЕТАДАННЫЕ поддержка SSL, ставим нужную нам настройку.
nnnata
4 року
0
спасибо. за решение. а можно эту настройку поменять сразу для всех пунктов меню? по одному слишком муторно
Тема закрита.